import { Page } from "@playwright/test";
import { PartQuestionsPage } from "./PartQuestionPage";
import { step } from 'framework/localTypes/Step';
import { ITestData } from 'framework/TestData';
import { ProgressBarPercentages } from 'framework/localTypes/Enums';

export default class VehiclePartQuestionsPage extends PartQuestionsPage{

    constructor(page: Page) {
        super(page);
    }

    @step("VehiclePartsPage >> Select Vehicle Part Questions: ")
    async handleVehiclePartsPage(testCase: Partial<ITestData>) {
        const { vehiclePartQuestions } = testCase;

        await this.validateProgressBar(ProgressBarPercentages.VehiclePartsPage);
        await this.validatePartQuestions(vehiclePartQuestions!);
        await this.selectPartQuestionResponses(vehiclePartQuestions!);
        await this.nextPage();
    }   
}